Subject: [http-state] wrt domain-value production (was: IETF-wide Last Call for -httpstate-cookie-10 ?)

From: =JeffH <[email-masked]>
Date: Thu, 09 Sep 2010 14:28:20 -0700

Bjoern Hoehrmann <[email-masked]> on Mon, 06 Sep 2010 04:52:26 +0200 wrote..
 >
 > the "well-behaved profile"
 > prohibits strings in the "Domain" attribute that start with a digit,
 > http://www.ietf.org/mail-archive/web/http-state/current/msg00867.html

I've looked into this and I agree this is an issue and merits a fix.

Because of the messy nature of the early definitions of domain name / subdomain 
  / host name, and the lack of a proper (in the rfc-index.txt) chain of 
"updates" references from RFC0952<-1034<-1123, I suggest modifying the 
domain-value production in -httpstate-cookie section 4.1.1 Syntax to be..

  domain-value      = <subdomain, defined in [RFC1034], Section 3.5, as
                       enhanced by [RFC1123], Section 2.1>

I suggest using the term "enhanced" (or perhaps "modified", or "liberalized") 
rather than "updated" because RFC1123 isn't formally noted as updating RFC0952 
nor RFC1034 (oddly enough).

thanks, good catch,

=JeffH

---

From: Julian Reschke <[email-masked]>
Date: Sat, 11 Sep 2010 10:49:16 +0200

On 09.09.2010 23:28, =JeffH wrote:
> ...
> Because of the messy nature of the early definitions of domain name /
> subdomain / host name, and the lack of a proper (in the rfc-index.txt)
> chain of "updates" references from RFC0952<-1034<-1123, I suggest
> modifying the domain-value production in -httpstate-cookie section 4.1.1
> Syntax to be..
>
>
> I suggest using the term "enhanced" (or perhaps "modified", or
> "liberalized") rather than "updated" because RFC1123 isn't formally
> noted as updating RFC0952 nor RFC1034 (oddly enough).
> ...

Nit: ABNF doesn't allow multi line prose productions (dunno why not, but 
see <http://greenbytes.de/tech/webdav/rfc5234.html#rfc.section.4>, 
"prose-val").

A workaround may be to move the explanation into a comment, such as:

  domain-value      = <subdomain>
                    ; defined in [RFC1034], Section 3.5, as
                    ; enhanced by [RFC1123], Section 2.1>

Best regards, Julian

---

From: Adam Barth <[email-masked]>
Date: Sat, 11 Sep 2010 15:00:42 -0700

On Sat, Sep 11, 2010 at 1:49 AM, Julian Reschke <[email-masked]> wrote:
> Nit: ABNF doesn't allow multi line prose productions (dunno why not, but see
> <http://greenbytes.de/tech/webdav/rfc5234.html#rfc.section.4>, "prose-val").
>

That seems fine.  Fortunately, there aren't any interoperability
landmines to avoid here, so we should be aiming for clarity.  This
definition is pretty difficult to decipher.  I suspect folks won't
actually chase down the references to figure out what it actually ends
up defining, but that's probably ok.

The essential point of this line in the spec is to disabuse server
operators of the "leading dot" cargo cult.  Again, I'm happy to put
these changes in now or wait for more comments.

Adam

---

From: Adam Barth <[email-masked]>
Date: Thu, 16 Sep 2010 01:21:08 -0700

> these changes in now or wait for more comments.

Done:

http://github.com/abarth/http-state/commit/067652f9915dc94575e31105d876f20598e1890c

Adam